
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在ASP.NET中实现通用的有效性校验 / iVAN</title>

    <meta name="description" content="在ASP.NET中实现通用的有效性校验 不管在B/S还是C/S中,数据操纵维护与检索,很多时候,都需要判断用户录入信息的有效性.在B/S结 构中,可能还要考虑Sql注入的安全性问题. 既然问题很普遍,我们就应该对该问题进行业务抽象,得到统一的处理方案.在此介绍我们的处理方 式,用于实现在ASP.NET中使用C#语言实现的通用有效性检验. 我们将整个处理方案分为三部分: 1.格式化数据有效性判断,这一部分应该致力做到框架结构的无关性,也就是说,应该做到不管是 C/S结构还是B/S结构,都应该是通用的:数据安全性判断,既然是安全性考虑,原">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在ASP.NET中实现通用的有效性校验</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>不管在B/S还是C/S中，数据操纵维护与检索，很多时候，都需要判断用户录入信息的有效性。在B/S结 构中，可能还要考虑Sql注入的安全性问题。</p>
<p>既然问题很普遍，我们就应该对该问题进行业务抽象，得到统一的处理方案。在此介绍我们的处理方 式，用于实现在ASP.NET中使用C#语言实现的通用有效性检验。</p>
<p>我们将整个处理方案分为三部分：</p>
<p>1、格式化数据有效性判断，这一部分应该致力做到框架结构的无关性，也就是说，应该做到不管是 C/S结构还是B/S结构，都应该是通用的；数据安全性判断，既然是安全性考虑，原则上B/S和C/S结构也是 通用的，比如Sql 注入的安全性；</p>
<p>2、处于友好的交互性和友好的接口，提供一个容易理解的调用接口和非法提醒是必要的。这是构架相 关的，在Web开发和WinForm开发各自有所不同的处理方式。既然标题是ASP.NET中的有效性检验，我们只 讨论Web方式的接口。</p>
<p>3、页面调用，既然是页面调用，当然是基于Web的。</p>
<p>第一部分：框架通用性</p>
<p>对于框架无关的部分，应该考虑放在一个基类中，我们也是这样做的，不妨我们放在积累命名空间为 fsCSharpDevFrk.Common的fsDevCommon类中。其中实现格式话数据有效性判断的方法如下：</p>
<pre>
　　　　public bool CheckValidValue(string strValue, string strTypeFormat)
　　　　{
　　　　　　bool bReturn = true;
　　
　　　　　　if (strTypeFormat != null &amp;&amp; strTypeFormat.Length &gt; 0)
　　　　　　{
　　　　　　　　if (strTypeFormat.StartsWith("D"))
　　　　　　　　{
　　　　　　　　　　string[] strTypes = strTypeFormat.Split(',');
　　　　　　　　　　if (strTypes.Length &gt; 1)
　　　　　　　　　　{
　　　　　　　　　　　　DateTime dtValue = new DateTime(1900, 1, 1), dtMaxValue = new 

DateTime(2050, 12, 31);
　　　　　　　　　　　　if (strTypes.Length &gt; 2 &amp;&amp; IsDate(strTypes[2]))
　　　　　　　　　　　　　　dtValue = DateTime.Parse(strTypes[2]);
　　　　　　　　　　　　if (strTypes.Length &gt; 3 &amp;&amp; IsDate(strTypes[3]))
　　　　　　　　　　　　　　dtMaxValue = DateTime.Parse(strTypes[3]);
　　
　　　　　　　　　　　　if (strTypes[1].Trim() == "&gt;")
　　　　　　　　　　　　　　bReturn = IsDigital(strValue) &amp;&amp; (DateTime.Parse

(strValue) &gt; dtValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "&gt;=")
　　　　　　　　　　　　　　bReturn = IsDigital(strValue) &amp;&amp; (DateTime.Parse

(strValue) &gt;= dtValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "&lt;")
　　　　　　　　　　　　　　bReturn = IsDigital(strValue) &amp;&amp; (DateTime.Parse

(strValue) &lt; dtValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "&lt;=")
　　　　　　　　　　　　　　bReturn = IsDigital(strValue) &amp;&amp; (DateTime.Parse

(strValue) &lt; dtValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "=")
　　　　　　　　　　　　　　bReturn = IsDigital(strValue) &amp;&amp; (DateTime.Parse

(strValue) == dtValue);
　　　　　　　　　　　　else if (strTypes[1].Trim().ToUpper() == "BETWEEN")
　　　　　　　　　　　　　　bReturn = IsDigital(strValue) &amp;&amp; (DateTime.Parse

(strValue) &gt;= dtValue) &amp;&amp; (DateTime.Parse(strValue) &lt;= dtMaxValue);
　　　　　　　　　　}
　　　　　　　　　　else
　　　　　　　　　　　　bReturn = IsDate(strValue);
　　　　　　　　}
　　　　　　　　else if (strTypeFormat.StartsWith("T"))
　　　　　　　　{
　　　　　　　　　　string[] strTypes = strTypeFormat.Split(',');
　　　　　　　　　　if (strTypes.Length &gt; 1)
　　　　　　　　　　{
　　　　　　　　　　　　DateTime dtValue = new DateTime(1900, 1, 1), dtMaxValue = new 

DateTime(2050, 12, 31);
　　　　　　　　　　　　if (strTypes.Length &gt; 2 &amp;&amp; IsDateTime(strTypes[2]))
　　　　　　　　　　　　　　dtValue = DateTime.Parse(strTypes[2]);
　　　　　　　　　　　　if (strTypes.Length &gt; 3 &amp;&amp; IsDateTime(strTypes[3]))
　　　　　　　　　　　　　　dtMaxValue = DateTime.Parse(strTypes[3]);
　　
　　　　　　　　　　　　if (strTypes[1].Trim() == "&gt;")
　　　　　　　　　　　　　　bReturn = IsDateTime(strValue) &amp;&amp; (DateTime.Parse

(strValue) &gt; dtValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "&gt;=")
　　　　　　　　　　　　　　bReturn = IsDateTime(strValue) &amp;&amp; (DateTime.Parse

(strValue) &gt;= dtValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "&lt;")
　　　　　　　　　　　　　　bReturn = IsDateTime(strValue) &amp;&amp; (DateTime.Parse

(strValue) &lt; dtValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "&lt;=")
　　　　　　　　　　　　　　bReturn = IsDateTime(strValue) &amp;&amp; (DateTime.Parse

(strValue) &lt; dtValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "=")
　　　　　　　　　　　　　　bReturn = IsDateTime(strValue) &amp;&amp; (DateTime.Parse

(strValue) == dtValue);
　　　　　　　　　　　　else if (strTypes[1].Trim().ToUpper() == "BETWEEN")
　　　　　　　　　　　　　　bReturn = IsDateTime(strValue) &amp;&amp; (DateTime.Parse

(strValue) &gt;= dtValue) &amp;&amp; (DateTime.Parse(strValue) &lt;= dtMaxValue);
　　　　　　　　　　}
　　　　　　　　　　else
　　　　　　　　　　　　bReturn = IsDateTime(strValue);
　　　　　　　　}
　　　　　　　　else if (strTypeFormat.StartsWith("N"))
　　　　　　　　{
　　　　　　　　　　string[] strTypes = strTypeFormat.Split(',');
　　　　　　　　　　if (strTypes.Length &gt; 1)
　　　　　　　　　　{
　　　　　　　　　　　　long lValue = 0, lMaxValue = 99999999999999;
　　　　　　　　　　　　if (strTypes.Length &gt; 2 &amp;&amp; IsDigital(strTypes[2]))
　　　　　　　　　　　　　　lValue = long.Parse(strTypes[2]);
　　　　　　　　　　　　if (strTypes.Length &gt; 3 &amp;&amp; IsDigital(strTypes[3]))
　　　　　　　　　　　　　　lMaxValue = long.Parse(strTypes[3]);
　　
　　　　　　　　　　　　if (strTypes[1].Trim() == "&gt;")
　　　　　　　　　　　　　　bReturn = IsDigital(strValue) &amp;&amp; (int.Parse(strValue) 

&gt; lValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "&gt;=")
　　　　　　　　　　　　　　bReturn = IsDigital(strValue) &amp;&amp; (int.Parse(strValue) 

&gt;= lValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "&lt;")
　　　　　　　　　　　　　　bReturn = IsDigital(strValue) &amp;&amp; (int.Parse(strValue) 

&lt; lValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "&lt;=")
　　　　　　　　　　　　　　bReturn = IsDigital(strValue) &amp;&amp; (int.Parse(strValue) 

&lt; lValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "=")
　　　　　　　　　　　　　　bReturn = IsDigital(strValue) &amp;&amp; (int.Parse(strValue) == 

lValue);
　　　　　　　　　　　　else if (strTypes[1].Trim().ToUpper() == "BETWEEN")
　　　　　　　　　　　　　　bReturn = IsDigital(strValue) &amp;&amp; (int.Parse(strValue) 

&gt;= lValue) &amp;&amp; (int.Parse(strValue) &lt;= lMaxValue);
　　　　　　　　　　}
　　　　　　　　　　else
　　　　　　　　　　　　bReturn = IsDigital(strValue);
　　　　　　　　}
　　　　　　　　else if (strTypeFormat.StartsWith("F"))
　　　　　　　　{
　　　　　　　　　　string[] strTypes = strTypeFormat.Split(',');
　　　　　　　　　　if (strTypes.Length &gt; 1)
　　　　　　　　　　{
　　　　　　　　　　　　double dValue = 0, dMaxValue = 999999999;
　　　　　　　　　　　　if (strTypes.Length &gt; 2 &amp;&amp; IsNumeric(strTypes[2]))
　　　　　　　　　　　　　　dValue = double.Parse(strTypes[2]);
　　　　　　　　　　　　if (strTypes.Length &gt; 3 &amp;&amp; IsDigital(strTypes[3]))
　　　　　　　　　　　　　　dMaxValue = long.Parse(strTypes[3]);
　　
　　　　　　　　　　　　if (strTypes[1].Trim() == "&gt;")
　　　　　　　　　　　　　　bReturn = IsNumeric(strValue) &amp;&amp; (double.Parse(strValue) 

&gt; dValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "&gt;=")
　　　　　　　　　　　　　　bReturn = IsNumeric(strValue) &amp;&amp; (double.Parse(strValue) 

&gt;= dValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "&lt;")
　　　　　　　　　　　　　　bReturn = IsNumeric(strValue) &amp;&amp; (double.Parse(strValue) 

&lt; dValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "&lt;=")
　　　　　　　　　　　　　　bReturn = IsNumeric(strValue) &amp;&amp; (double.Parse(strValue) 

&lt; dValue);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "=")
　　　　　　　　　　　　　　bReturn = IsNumeric(strValue) &amp;&amp; (double.Parse(strValue) 

== dValue);
　　　　　　　　　　　　else if (strTypes[1].Trim().ToUpper() == "BETWEEN")
　　　　　　　　　　　　　　bReturn = IsNumeric(strValue) &amp;&amp; (double.Parse(strValue) 

&gt;= dValue) &amp;&amp; (double.Parse(strValue) &lt;= dMaxValue);
　　　　　　　　　　}
　　　　　　　　　　else
　　　　　　　　　　　　bReturn = IsNumeric(strValue);
　　　　　　　　}
　　　　　　　　else if (strTypeFormat.StartsWith("C"))
　　　　　　　　{
　　　　　　　　　　string[] strTypes = strTypeFormat.Split(',');
　　　　　　　　　　if (strTypes.Length &gt; 1)
　　　　　　　　　　{
　　　　　　　　　　　　string strVal = "", strMaxValue = "";
　　　　　　　　　　　　if (strTypes.Length &gt; 2 &amp;&amp; strTypes[2] != null &amp;&amp; 

strTypes[2].Length &gt; 0)
　　　　　　　　　　　　　　strVal = strTypes[2];
　　　　　　　　　　　　if (strTypes.Length &gt; 3 &amp;&amp; strTypes[3] != null &amp;&amp; 

strTypes[3].Length &gt; 0)
　　　　　　　　　　　　　　strMaxValue = strTypes[3];
　　
　　　　　　　　　　　　if (strTypes[1].Trim() == "&gt;")
　　　　　　　　　　　　　　bReturn = IsNumeric(strValue) &amp;&amp; (strValue.CompareTo

(strVal) &gt; 0);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "&gt;=")
　　　　　　　　　　　　　　bReturn = IsNumeric(strValue) &amp;&amp; (strValue.CompareTo

(strVal) &gt;= 0);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "&lt;")
　　　　　　　　　　　　　　bReturn = IsNumeric(strValue) &amp;&amp; (strValue.CompareTo

(strVal) &lt; 0);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "&lt;=")
　　　　　　　　　　　　　　bReturn = IsNumeric(strValue) &amp;&amp; (strValue.CompareTo

(strVal) &lt;= 0);
　　　　　　　　　　　　else if (strTypes[1].Trim() == "=")
　　　　　　　　　　　　　　bReturn = IsNumeric(strValue) &amp;&amp; (strValue.CompareTo

(strVal) == 0);
　　　　　　　　　　　　else if (strTypes[1].Trim().ToUpper() == "BETWEEN")
　　　　　　　　　　　　　　bReturn = IsNumeric(strValue) &amp;&amp; (strValue.CompareTo

(strVal) &gt;= 0) &amp;&amp; (strValue.CompareTo(strMaxValue) &lt;= 0);
　　　　　　　　　　　　else if (strTypes[1].Trim().ToUpper() == "IN")
　　　　　　　　　　　　{
　　　　　　　　　　　　　　if (strVal.Length &gt; 0)
　　　　　　　　　　　　　　{
　　　　　　　　　　　　　　　　if (strMaxValue.Length &gt; 0)
　　　　　　　　　　　　　　　　　　bReturn = IsExists(strValue, StringSplit(strVal, 

strMaxValue));
　　　　　　　　　　　　　　　　else
　　　　　　　　　　　　　　　　　　bReturn = strValue.IndexOf(strVal) &gt;= 0;
　　　　　　　　　　　　　　}
　　　　　　　　　　　　　　else
　　　　　　　　　　　　　　　　bReturn = false;
　　　　　　　　　　　　}
　　　　　　　　　　}
　　　　　　　　}
　　　　　　}
　　
　　　　　　return bReturn;
　　　　}</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索parse<br />
                    ，                datetime<br />
                    ，                c/s框架<br />
                    ，                else<br />
                    ，                Trim<br />
                                    isdigit<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 00:00:55</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/datetime/" title="datetime">datetime</a>, <a href="https://www.iamivan.net/tag/trim/" title="Trim">Trim</a>, <a href="https://www.iamivan.net/tag/parse/" title="parse">parse</a>, <a href="https://www.iamivan.net/tag/else/" title="else">else</a>, <a href="https://www.iamivan.net/tag/c-s%e6%a1%86%e6%9e%b6/" title="c&sol;s框架">c&sol;s框架</a>, <a href="https://www.iamivan.net/tag/isdigit/" title="isdigit">isdigit</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在ASP.NET中实现通用的有效性校验的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWaDjz.html" rel="bookmark">ASP项目中的通用条件查询模块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.提出问题:    在大型的ASP项目中,都涉及到了条件查询这一功能.用户要求能够针对特定的字段进行查询.对于有些数据,是从多个表取出来的,因此也要能对多个表进行查询.    一般的话,大多数的做法就是每个程序都做一个查询功能,因为每个查询的表都不同,涉及的字段也不同.但是,如果在大型的ASP项目中这么做的话,不仅增加了工作量.影响开发进度,而且不能使系统模块化.代码复用,增加了系统维护难度.因此,我们有必要使条件查询模块化. 二.解决思路:    我们设计条件查询的功能为:    1.选择查			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyqelM.html" rel="bookmark">Asp&period;net中如何处理一个站点不同Web应用通用Session的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|session|web|问题|站点 Asp.net中如何处理一个站点不同Web应用通用Session的问题 1.问题描述: 系统S中有M1,M2,M3,M4四个模块,每个模块都是一个web应用.其中一个模块中设置Session后在其他模块中无法读取. 2.问题原因: 一个WEB应用相当于一个站点,应用与应用之间不可能共享Session. 3.解决方法: 1) 将四个web应用包含在同一个解决方案中,如图所示: 实际目录存储结构如下: (注:调整.webinfo文件使解决方案能构正			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0boynvp.html" rel="bookmark">在ASP中实现通用的绝对路径生成方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在我开发ASP + Access的Web应用时,都会遇到数据库文件路径的定位问题.如果在自己的计算机上实现时可以直接指定了事,但如果做的项目要上传到别的服务器或移动别的机器上运行使用,每次都要把这个路径改来改去的话显得有些繁锁,下面结合我做这个网站的经验来解决这个问题,让我们可以&quot;一劳永逸&quot;. 在ASP中使用Server.MapPath(&quot;file.asp&quot;)语句后,会返回该文件在本地驱动器上的绝对路径,如&quot;D:\MySite\test\file.asp&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvK9rrp.html" rel="bookmark">Asp&period;net中图片存储数据库以及页面读取显示通用方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前端碰到对在一个系统遇到流程控制中需要存储在数据库存储一个签名图片的问题-一 直控制不好, 今天特别关于这个问题详细看了一下.其实这个问题网上资源还是相当多的, 但问题是过于凌乱 资料残缺不全 甚至我感觉其中有相当的一部分会对读者产生一些误导 .对于Asp.net中存储图片我在08年一月份就做了一个详细解决方案,今天在这个基础主要 对一些细节控制上以及页面显示上做了完善,详细步骤如下: 首先声明一下开发环境:VS2008+SQL2005数据库+.NET FrameWork 3.5版本 (1)存储			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQDNrz.html" rel="bookmark">ASP&period;NET中实现大结果集分页研讨</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|分页 在Web应用程序中,对一个大数据库结果集进行分页已经是一个家喻户晓的问题了.简单的说,你不希望所有的查询数据显示在一个单独的页面中,所以带有分页的显示才是更合适的.虽然在传统的asp里这并不是一个简单的任务,但在asp.net中,DataGrid控件把这一过程简化为只有几行代码.因此,在 asp.net中,分页很简单,但是默认的DataGrid分页事件会从数据库中把所有的记录全部读出来放到asp.net web应用程序中.当你的数据在一百万以上的时候,这将引起严重的性能问题			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgAy5z.html" rel="bookmark">Asp&period;net中创建和使用Ado&period;net</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ado|asp.net|创建     在商业应用程序中最重要的组件是数据,无论是在线的商务应用程序.公司的企业软件还是小型公司的会计应用程序无不如此:通过一个通用的线程与数据打交道,即都必须实现快速.有效.可靠的方式存储.检索和处理数据.      然而,一直一来令人棘手的问题是这些数据文件常以不同的格式存储,这就需要开发者学会用多种不同的方式来处理完全一样的事情.Microsoft等诸多数据提供者力求实现数据访问格式的标准化.      从Odbc的出现到Dao.Rdo.Oledb.Ado的实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMq3okz.html" rel="bookmark">绝对酷，如何解决asp&period;net中javascript脚本的问题（使用服务器控件执行客户端脚本）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				论坛中很多人问如何在asp.net中新开一个没有工具栏等等的窗口,大家都说用javascript解决,不错这件事实可以解决了,但是使用通用html control但是就不能用asp.net代码操作他了现在我就为大家解决这个难题. 创建一个窗口新开一个窗口的程序我向大家一定非常熟悉了,简单说一下window.open(url, [name], [features])url是要打开窗口的地址name是新开窗口的名称features是新开窗口的一些属性,例如尺寸等 打开窗口利用服务器属性最简单的把客户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M00G0M.html" rel="bookmark">在ASP&period;NET中使用非托管COM组件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|托管     众所周知,ASP.net是基于通用语言运行库创建的,也就是所谓的托管执行环境.生成的代码称为托管代码.编译器能够从源代码的描述中产生元数据信息,而运行库又从元数据中获得托管代码的信息.而我们编写的组件一般是在非托管环境下创建的,这些组件往往不包含元数据信息,那么我们怎么在托管代码中使用这些元数据信息呢?      为了在托管环境中使用非托管代码,我们首先必须手工为这些现有的组件产生元数据信息 .必须有一种工具能够产生元数据.能够从某个地方获得元数据.这个元数据的发源			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ybj36NM.html" rel="bookmark">在Asp&period;net中如何实现弹出提示对话框</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|对话框 C#中,弹出窗口的代码为: MessageBox(&quot;用户名或密码错误!&quot;,&quot;错误:&quot;); 而在Asp.net中,则不可以用这种方法了,这时我们可以写一个类Message(名字随便取),内容如下: //---------------------------------------//作者:明天去要饭//QQ:305725744//--------------------------------------- using System; name			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjq6Zz.html" rel="bookmark" class="title">HTML头部声明文档类型、语言和字符集的方法</a>
					<div>
						在你每一个页面的顶端,你需要文档声明.是的,必须. 如果不指定文档类型,你的HTML不是合法的HTML,并且大部分浏览器会用&quot;怪癖模式(quirks mode)&quot;来处理页面,这意味 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8QxPz.html" rel="bookmark" class="title">JSP的mysql</a>
					<div>
						js|mysql|程序 mm.mysql是个类型4(即纯java),符合jdbc 2规范的mysql jdbc驱动程序.当前版本为2.0 pre 5(beta) 你可以从http://www.worl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaw3Jp.html" rel="bookmark" class="title">用Visual C&num;来清空回收站</a>
					<div>
						visual Visual C#作为下一代主流的程序开发语言,其语言功能的强大是众所周知的.并且又有一个内容十分丰富的程序开发包--.Net FrameWork SDK,作为他的后盾.这样就使得Vis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9KZKz.html" rel="bookmark" class="title">关于DropDownList绑定数据的一点认识</a>
					<div>
						数据   平时我们用DropDownList控件(如:下拉菜单时)显示栏目名称等时,一般可以用两种方法使其显示我们要的内容: 方法一:     //ddlFirstType即为DropDownList ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO7gqz.html" rel="bookmark" class="title">谷歌排名SEO小细节你都做了吗</a>
					<div>
						回顾自己SEO google优化来时的路,要从2009年5月12日说起了,记得特别深刻,因为那是08年汶川地震1周年,文笔不好,但总结还是要有的.写写才知道自己到底学到什么,成长了多少,哪里不足.沿途 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPo0PM.html" rel="bookmark" class="title">Pig系统分析&lpar;8&rpar; Pig可扩展性</a>
					<div>
						本文是Pig系统分析系列中的最后一篇了,主要讨论如何扩展Pig功能,不仅介绍Pig本身提供的UDFs扩展机制,还从架构上探讨Pig扩展可能性. 补充说明:前些天同事发现twitter推动的Pig On ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2Pr9b.html" rel="bookmark" class="title">Android ApiDemos示例解析&lpar;42&rpar;：App-&amp;amp&semi;gt&semi;Service-&amp;amp&semi;gt&semi;Remote Service Binding</a>
					<div>
						本例和下个例子Remote Service Controller 涉及到的文件有RemoteService.java ,IRemoteService.aidl, IRemoteServiceCallb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxDG0b.html" rel="bookmark" class="title">制作七彩光芒字的教程</a>
					<div>
						制作七彩光芒字的教程最终效果 1.主要技术:滤镜风/扭曲的宗合使用! 1:按CTRL+N新建一个RGB文档! 2:选择通道控制面版新建一个Alpha1通道! 3:用文字工具在新通道上写上&quot;七 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm75D7b.html" rel="bookmark" class="title">js保留两位小数使用toFixed实现</a>
					<div>
						直接使用Math.round(x*100)存在一个问题,有时会有很小的误差,显示很多位的小数位,如0.9996*100,就会变成99.96000000000001,我想要的在下面,感兴趣的朋友可以参考 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOjZYb.html" rel="bookmark" class="title">WPS内容打印限制型</a>
					<div>
						  除了阅读和修改限制之外,文档限制还有一个重要的方面,那就是打印限制.大家知道,许多文档或复习资料由于版权方面的考虑,制作者会将其制作成只能看.不能打印的PDF格式.那么,我们自己如何制作这样的PD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Wd2nb.html" rel="bookmark" class="title">全民k歌怎么导出录音&quest;</a>
					<div>
						  1.首先打开手机QQ后,在左侧点击[ 我的文件 ]选择[ 本机文件 ]. 2.击最下方的[ 全部( 手机内存卡/SD卡 ) ]选择[ SD卡 ] PS:如手机上没有安装SD卡,那么可以选择[ 手机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72rKZp.html" rel="bookmark" class="title">pg&lowbar;upgrade升级数据库9&period;1&period;1-9&period;4&period;5</a>
					<div>
						实际操作:  已有环境和pg 192.168.12.231   pg9.1.1 端口 5432  安装目录 /pgtina 数据目录 /pgtina/data  1.在本机器上安装9.4.5  端口  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boREwVz.html" rel="bookmark" class="title">flume学习（一）：log4j直接输出日志到flume</a>
					<div>
						log4j.properties配置: log4j.rootLogger=INFOlog4j.category.com.besttone=INFO,flumelog4j.appender.flume  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7eyQz.html" rel="bookmark" class="title">relink 11gR2 数据库</a>
					<div>
						前面一篇文章介绍了relink 10g 数据库,这篇文章则讲述oracle 11gr2 的relink操作! oracle&gt;  cd  $ORACLE_HOME/rdbms/lib oracle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rXmJz.html" rel="bookmark" class="title">scrollview-android 布局中的滚动功能</a>
					<div>
						问题描述 android 布局中的滚动功能 我想在屏幕的整个布局上实现滚动的功能,在 ScrollView 中加入 Linearlayout,但是不能实现滚动的功能.下面是 layout 代码: &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40691z.html" rel="bookmark" class="title">Aspose&period;BarCode for &period;NET 4&period;7&period;0发布 条码生成和识别组件</a>
					<div>
						Aspose.BarCode for http://www.aliyun.com/zixun/aggregation/13480.html&quot;&gt;.NET 是一款生成和识别各种线性和二维条 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4nlLz.html" rel="bookmark" class="title">实操分享：看看小白我如何第一次搭建阿里云windows服务器&lpar;Tomcat&plus;Mysql&rpar;</a>
					<div>
						第一次搭建服务器环境,怎能不纪念一下?偷笑好吧,不说废话,小白之旅开始. 注意,前提是你已经有了一个阿里云服务器.阿里云服务器可以直接在网上进行连接或者远程桌面连接两种方式.第一种方式比较繁琐,先登录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBQJZM.html" rel="bookmark" class="title">电商架构技术实践的秘诀：成功就在那里，快了才是你的！</a>
					<div>
						近期电商技术实战的内容非常丰富,4月15日在清华大学举办2016 ATF阿里技术论坛上的&lt;电商技术:零到三万亿,从未停止的技术创新&gt;,一次性分享了5位技术大神的技术干货: 淘宝移动平台事业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDndv6M.html" rel="bookmark" class="title">Orace查询数据出现乱码解决办法</a>
					<div>
						  问题描述: 经常有些朋友会遇到,我明明是输入的正确中文,为什么我在另外一台电脑上查询却出现乱码啦?其实这个是数据库在进行字符集转换的时候出现了问题, 下面通过测试来描述具体的情况: 1.环境 Or ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqwR8p.html" rel="bookmark" class="title">C&num;中windows窗体和windows Service怎样共享内存，或者它们之间能否实现共享内存？</a>
					<div>
						问题描述 我的一个项目中需要在一个windows窗体和windowsService程序之间通过共享内存实现相互通信,请问这种方法可以吗?它们两者之间能否实现共享内存? 解决方案 解决方案二:参考c​# ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwJrOM.html" rel="bookmark" class="title">&amp;lt&semi;a&amp;gt&semi; href属性--记录八</a>
					<div>
						1.去掉&lt;a&gt;标签的下划线 &lt;ul style=&quot; list-style-type:none; margin:0;color:Gray; font-size:11px;ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqK76p.html" rel="bookmark" class="title">《iOS取证实战：调查、分析与移动安全》一导读</a>
					<div>
						前 言 本书适用于对iPhone和其他iOS设备感兴趣的读者,尤其适合那些对设备中能恢复的存储数据类型感兴趣的读者阅读.移动取证的需求随着智能手机的发布在惊人地增长.随着手机的应用不再局限于通话功能, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodyPXM.html" rel="bookmark" class="title">JSP如何读取varchar类型的图片</a>
					<div>
						问题描述 数据库中图片的类型用的是varchar,最好有代码 解决方案 解决方案二:varchar类型的图片?是base64格式吗?如果是的话需要进行反编码,才能得到二进制图象解决方案三:真奇怪,没见 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0omvp.html" rel="bookmark" class="title">mac下快速生成&commat;2x和压缩图片</a>
					<div>
						     iOS开发中,因为有普通屏和高清屏的原因,所以需要在应用中放置两套图,一套是for普通屏的,一套是for高清屏的.for高清屏的命名方式:***@2x.png.使用的时候只要使用for普通屏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgAPKM.html" rel="bookmark" class="title">机房收费系统之思想性总结</a>
					<div>
						一个系统,不管功能有多强大或是多简单,最重要的是它最终都将面向对象--用户.一个系统,看它成功与否,用户评价的好坏就是关键了.一个系统,只要全心全意为人民服务的精神贯穿始终,那一定不会差到哪去. 机房 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xrNRb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;&period;公司&rdquo;及&OpenCurlyDoubleQuote;&period;网络&rdquo;域名预注册情况火爆</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 自8月21日&quot;.公司&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLwXaM.html" rel="bookmark" class="title">怎么设置gridview只显示10列</a>
					<div>
						问题描述 怎么设置gridview只显示10列 解决方案 解决方案二:this.GridView1.Columns[i].Visible=false;//隐藏i列前台改visible属性,最好是后台只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nqZJz.html" rel="bookmark" class="title">码云增加 Release 功能，支持 Sonar 优测同时分析</a>
					<div>
						开源中国码云代码托管平台又迎来一大波更新啦.其中最值得关注的就是增加了 Release 的功能,同时代码的分析支持同时开启 Sonar 和优测分析,也就是说一个 Android 项目,既可以检查代码编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqLY1b.html" rel="bookmark" class="title">全球气候变迁 物联网技术为农业保驾护航</a>
					<div>
						近年来物联网得到了蓬勃发展,各产业纷纷导入物联网概念并应用,其中农业作为物联网的重点布局领域,由于以往惯有根据经验累积的作业方式,加上农业生产具有因对象作物而有不同管理方式之特性,许多生产者对于将物联 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkdvrp.html" rel="bookmark" class="title">浅谈如何留住用户 关于应用中心网站的设计</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 应用中心,顾名思义就是应用的集合,是承载各种应用的平台.其主要特点是娱乐性强.沉浸感强.它像是一个商店,里面有供人们随意挑选产品的货架,更像是一个游乐场 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.037 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
